function Moneys_OnLoad()
	Original_MoneyFrame_Update = MoneyFrame_Update;
	MoneyFrame_Update = Colorblind_MoneyFrame_Update;
end

function Colorblind_MoneyFrame_Update(frameName, money)
	Original_MoneyFrame_Update(frameName, money);
	local frame = getglobal(frameName);

	local gold = floor(money / (COPPER_PER_SILVER * SILVER_PER_GOLD));
	local silver = floor((money - (gold * COPPER_PER_SILVER * SILVER_PER_GOLD)) / COPPER_PER_SILVER);
	local copper = mod(money, COPPER_PER_SILVER);

	local goldButton = getglobal(frameName.."GoldButton");
	local silverButton = getglobal(frameName.."SilverButton");
	local copperButton = getglobal(frameName.."CopperButton");

	local iconWidth = MONEY_ICON_WIDTH;
	local spacing = MONEY_BUTTON_SPACING;
	if ( frame.small ) then
		iconWidth = MONEY_ICON_WIDTH_SMALL;
		spacing = MONEY_BUTTON_SPACING_SMALL;
	end
	
	if ( Gogo_Letters == "yes" ) then
		goldButton:SetText(gold.."g");
		goldButton:SetWidth(goldButton:GetTextWidth());
		goldButton:SetNormalTexture(nil);
		goldButton:Show();
		silverButton:SetText(silver.."s");
		silverButton:SetWidth(silverButton:GetTextWidth());
		silverButton:SetNormalTexture(nil);
		silverButton:Show();
		copperButton:SetText(copper.."c");
		copperButton:SetWidth(copperButton:GetTextWidth());
		copperButton:SetNormalTexture(nil);
		copperButton:Show();
	else
		goldButton:SetText(gold);
		goldButton:SetNormalTexture("Interface\\MoneyFrame\\UI-MoneyIcons");
		goldButton:SetWidth(goldButton:GetTextWidth() + iconWidth);
		goldButton:Show();

		silverButton:SetText(silver);
		silverButton:SetNormalTexture("Interface\\MoneyFrame\\UI-MoneyIcons");
		silverButton:SetWidth(silverButton:GetTextWidth() + iconWidth);
		silverButton:Show();

		copperButton:SetText(copper);
		copperButton:SetNormalTexture("Interface\\MoneyFrame\\UI-MoneyIcons");
		copperButton:SetWidth(copperButton:GetTextWidth() + iconWidth);
		copperButton:Show();
	end

	local width = iconWidth;
	local showLowerDenominations, truncateCopper;
	if ( gold > 0 ) then
		width = width + goldButton:GetWidth();
		if ( info.showSmallerCoins ) then
			showLowerDenominations = 1;
		end
		if ( info.truncateSmallCoins ) then
			truncateCopper = 1;
		end
	else
		goldButton:Hide();
	end

	if ( silver > 0 or showLowerDenominations ) then
		width = width + silverButton:GetWidth();
		goldButton:SetPoint("RIGHT", frameName.."SilverButton", "LEFT", spacing, 0);
		if ( goldButton:IsVisible() ) then
			width = width - spacing;
		end
		if ( info.showSmallerCoins ) then
			showLowerDenominations = 1;
		end
	else
		silverButton:Hide();
		goldButton:SetPoint("RIGHT", frameName.."SilverButton",	"RIGHT", 0, 0);
	end

	-- Used if we're not showing lower denominations
	if ( (copper > 0 or showLowerDenominations or info.showSmallerCoins == "Backpack") and not truncateCopper) then
		width = width + copperButton:GetWidth();
		silverButton:SetPoint("RIGHT", frameName.."CopperButton", "LEFT", spacing, 0);
		if ( silverButton:IsVisible() ) then
			width = width - spacing;
		end
	else
		copperButton:Hide();
		silverButton:SetPoint("RIGHT", frameName.."CopperButton", "RIGHT", 0, 0);
	end

	frame:SetWidth(width);

end